include <BOSL/constants.scad>
use <BOSL/transforms.scad>
use <BOSL/shapes.scad>

switch_body_size = [8, 13, 16];

module switch() {
    down(switch_body_size.z/2) cube(switch_body_size, center=true);
    cylinder(d=6.5, h=8.5);
    up(8.5) xrot(15) cylinder(d=2.5, h=10);
}

switch();

module screw_joiner(size, screw_diam=2.2, chamfer=1, edges=EDGES_Z_ALL) {
    difference() {
        cuboid(size, chamfer=chamfer, edges=edges);
        down(size.z/2) cylinder(d=screw_diam, h=size.z, $fn=12);
    }
}

left(20) screw_joiner([5, 5, 10]);
